commit:     e3e762f491b77cf580b6f86a3d5881670d58f50a
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 10 08:32:47 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Mon Feb 10 08:38:31 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e3e762f4

net-analyzer/cacti: Version 1.2.9

Package-Manager: Portage-2.3.88, Repoman-2.3.20
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-analyzer/cacti/Manifest           |  1 +
 net-analyzer/cacti/cacti-1.2.9.ebuild | 48 +++++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/net-analyzer/cacti/Manifest b/net-analyzer/cacti/Manifest
index b5374c97cce..ecee743051a 100644
--- a/net-analyzer/cacti/Manifest
+++ b/net-analyzer/cacti/Manifest
@@ -1 +1,2 @@
 DIST cacti-1.2.8.tar.gz 24881361 BLAKE2B 
181b2eebf43c81a221b65eb9391ad758c05bb5871a35766a1f5323f453a0a6a533a1120963e04f7a01d4ac444942e37bf50a3c6cebe5f7261558142baad2f282
 SHA512 
e24d9de47a06c1741c7bcfe5c5f68a5a0f0cc2eb859fc930ced28f797f84ad537ff1a0a703dc8c26735cc4b54ba09699e33a30ac666e1f8ec2ec26ae4ceccde3
+DIST cacti-1.2.9.tar.gz 24906227 BLAKE2B 
65a4459f9f55c55db853f81bcac6c60f146ba50f6dfd0abde449a41847afdb8564452ede1a493291c19ee7732ccc4a76d485af078021c7e0fcb6d1b265994940
 SHA512 
e50eb5587dc0274788b35cb701383ba897ab7c45a65efc7a8d32963b492c1ff1b96b0271ab7b6f9b53ad7dff5dd66b3ce4bd4a91c3ecf8ccd8d4b19b3ac972e4

diff --git a/net-analyzer/cacti/cacti-1.2.9.ebuild 
b/net-analyzer/cacti/cacti-1.2.9.ebuild
new file mode 100644
index 00000000000..66775efc3b4
--- /dev/null
+++ b/net-analyzer/cacti/cacti-1.2.9.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit eutils webapp
+
+# Support for _p* in version.
+MY_P=${P/_p*/}
+
+DESCRIPTION="Cacti is a complete frontend to rrdtool"
+HOMEPAGE="https://www.cacti.net/";
+SRC_URI="https://www.cacti.net/downloads/${MY_P}.tar.gz";
+
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="snmp doc"
+
+need_httpd
+
+RDEPEND="
+       dev-lang/php[cli,mysql,pdo,session,sockets,xml]
+       dev-php/adodb
+       net-analyzer/rrdtool[graph]
+       virtual/cron
+       snmp? ( >=net-analyzer/net-snmp-5.2.0 )
+"
+
+src_compile() { :; }
+
+src_install() {
+       dodoc CHANGELOG
+       dodoc -r docs
+       mv docs .. || die
+
+       webapp_src_preinst
+
+       edos2unix `find -type f -name '*.php'`
+
+       dodir ${MY_HTDOCSDIR}
+       cp -r . "${D}"${MY_HTDOCSDIR}
+
+       webapp_serverowned ${MY_HTDOCSDIR}/rra
+       webapp_serverowned ${MY_HTDOCSDIR}/log
+       webapp_configfile ${MY_HTDOCSDIR}/include/config.php
+       webapp_postinst_txt en "${FILESDIR}"/postinstall-en.txt
+
+       webapp_src_install
+}

Reply via email to